package com.qiyou.mb.android.beans.basic;

import android.text.TextUtils;

import com.qiyou.mb.android.utils.Utils;
 

public class User_bean {
	 
	  private int id; 
//	  private int svrNumber;
	  private String qqOpenId;
	  public String getQqOpenId() {
		return qqOpenId;
	}
	public void setQqOpenId(String qqOpenId) {
		this.qqOpenId = qqOpenId;
	}
	public String getQqToken() {
		return qqToken;
	}
	public void setQqToken(String qqToken) {
		this.qqToken = qqToken;
	}
	public long getQqExprires() {
		return qqExprires;
	}
	public void setQqExprires(long qqExprires) {
		this.qqExprires = qqExprires;
	}
	public String getQqName() {
		return qqName;
	}
	public void setQqName(String qqName) {
		this.qqName = qqName;
	}
	public String getQqAbulmUrl() {
		return qqAbulmUrl;
	}
	public void setQqAbulmUrl(String qqAbulmUrl) {
		this.qqAbulmUrl = qqAbulmUrl;
	}
	private String qqToken;
	  private long qqExprires;
	  private String qqName;
	  private String qqAbulmUrl;
	  private String userName;
	  private String account;
	  private String password;
	  private int userLevel;
	  private int userType;
	  private int score;
	  private int genda;
	  
	  private GEOaddress address;
	  private String mail;
	  private long birthday;
//	  private ArrayList<Group_bean> groups;
//	  private Media album;
	  private String album;
	  private String userDesc;
	  private String sign;
	  private int paiming;
	  private String title;
	  private GEO_bean geo; 
	  private String geoJsonString; 
	  private float lat;
	  private float lon; 
	  private long regtime;
	  private float distance;
	  private int phoneId;
 	  private String token;
 	  private long exprires;
	  private int loginType;//0 mail/passwd; 1 qq
	  private float calorie;
	  private boolean power;
	  public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public String getUserName() {
		return userName;
	}
	public void setUserName(String userName) {
		this.userName = userName;
	}
	public String getAccount() {
		return account;
	}
	public void setAccount(String account) {
		this.account = account;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public int getUserLevel() {
		return userLevel;
	}
	public void setUserLevel(int userlevel) {
		this.userLevel = userlevel;
	}
	public int getUserType() {
		return userType;
	}
	public void setUserType(int userType) {
		this.userType = userType;
	}
	public int getScore() {
		return score;
	}
	public void setScore(int score) {
		this.score = score;
	}
	public int getGenda() {
		return genda;
	}
	public void setGenda(int genda) {
		this.genda = genda;
	}
	public GEOaddress getAddress() {
		return address;
	}
	public void setAddress(GEOaddress address) {
		this.address = address;
	}
	public String getMail() {
		return mail;
	}
	public void setMail(String mail) {
		this.mail = mail;
	}
	public long getBirthday() {
		return birthday;
	}
	public void setBirthday(long birthday) {
		this.birthday = birthday;
	}
//	public Media getAlbum() {
//		return album;
//	}
//	public void setAlbum(Media album) {
//		this.album = album;
//	}
	public String getUserDesc() {
		return userDesc;
	}
	public void setUserDesc(String userDesc) {
		this.userDesc = userDesc;
	}
	public String getSign() {
		return sign;
	}
	public void setSign(String sign) {
		this.sign = sign;
	}
	public int getPaiming() {
		return paiming;
	}
	public void setPaiming(int paiming) {
		this.paiming = paiming;
	}
	 
	public float getLat() {
		return lat;
	}
	public void setLat(float lat) {
		this.lat = lat;
	}
	public float getLon() {
		return lon;
	}
	public void setLon(float lon) {
		this.lon = lon;
	}
	public GEO_bean getGeo() {
		if(geo==null ){
			if(!TextUtils.isEmpty(geoJsonString )){	
				geo =(GEO_bean) Utils.getGsonObject(geoJsonString, GEO_bean.class);
			}
			if(geo==null){
				geo= new GEO_bean();
			}
		}	
		return geo;
	}
	public void setGeo(GEO_bean geo) {
		this.geo=geo;
    }
	
	  
	public String getGeoJsonString() {
		return geoJsonString;
	}
	public void setGeoJsonString(String geoJsonString) {
		this.geoJsonString = geoJsonString;
	}
 
	public float getDistance() {
		return distance;
	}
	public void setDistance(float distance) {
		this.distance = distance;
	}
	public long getRegtime() {
		return regtime;
	}
	public void setRegtime(long regtime) {
		this.regtime = regtime;
	}
	public int getPhoneId() {
		return phoneId;
	}
	public void setPhoneId(int phoneId) {
		this.phoneId = phoneId;
	}
	public String getToken() {
		return token;
	}
	public void setToken(String token) {
		this.token = token;
	}
	public long getExprires() {
		return exprires;
	}
	public void setExprires(long exprires) {
		this.exprires = exprires;
	}
	public int getLoginType() {
		return loginType;
	}
	public void setLoginType(int loginType) {
		this.loginType = loginType;
	}
	public float getCalorie() {
		return calorie;
	}
	public void setCalorie(float calorie) {
		this.calorie = calorie;
	}
	public boolean isPower() {
		return power;
	}
	public void setPower(boolean power) {
		this.power = power;
	}
	public String getAlbum() {
		return album;
	}
	public void setAlbum(String album) {
		this.album = album;
	}  
	  
}
